package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import java.io.Serializable;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-07-16
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class TaCustomerTransfer implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "transfer_id", type = IdType.AUTO)
    private Integer transferId;

    private Integer fromUserId;

    private Integer toUserId;

    private String fromUserName;

    private String toUserName;

    private Integer customerId;

    private String customerName;

    private LocalDateTime transferTime;


}
