package com.huiju.welcome.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huiju.welcome.model.SysParam;

import java.time.LocalDateTime;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author jobob
 * @since 2019-03-14
 */
public interface ISysParamService extends IService<SysParam> {

    Float getSamePersonThreshold();

    String getParamOfWithDefault(String id, String def);

    Float getFaceMinScore();

    Float getDispatchTimeLimit();

    Float getTplMessageInterval();

    Float getCustomerVisitInterval();

    boolean isInWorkingTime(LocalDateTime dt);
}
