package com.huiju.welcome.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.time.LocalDateTime;

/**
 * <p>
 * 
 * </p>
 *
 * @author jobob
 * @since 2019-06-18
 */
@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@TableName("ta_car")
public class TaCar implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "plate_number", type = IdType.INPUT)
    private String plateNumber;

    private String color;

    private String carModel;

    private String carImage;

    private String typeId;

    @TableField("`status`")
    private Integer status;

    private LocalDateTime createDate;
}
